--Patch de mise à jour des tables en autoincrement :
-- Réalisé le 6/05/2010 par Rémi Debay
-- Correction bug  https://bugs.launchpad.net/acgvision/+bug/575595

ALTER TABLE `AutomaticAction` 	CHANGE `action` `action` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `command`	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Event` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Groupe` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Host` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Incident`	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Job` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Measure` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Message` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Package` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Period` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Service` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;
ALTER TABLE `User` 	CHANGE `id` `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT;

ALTER TABLE `AutomaticAction` DROP `start_id` ;
ALTER TABLE `AutomaticAction` DROP `error_id` ;
ALTER TABLE `AutomaticAction` ADD `name` VARCHAR( 255 ) NOT NULL ;
ALTER TABLE `Event` ADD `ActionAutomatique_action` BIGINT( 20 ) NULL ;

ALTER TABLE `Privilege` CHANGE `level` `level`          int(11)  NOT NULL AUTO_INCREMENT;

CREATE TABLE Privilege_Service(
privilege_level  int(11) NOT NULL,
services_id  bigint(20) NOT NULL
 ) TYPE=MyISAM;


INSERT INTO `Groupe` (`id` ,`name`) VALUES (NULL , 'ALL'), (NULL , 'CDM');

--Création des Privileges avec services.
INSERT INTO Privilege( Privilege.`level` , Privilege.`name` ) SELECT 'NULL', Service.name FROM Service ;
--Association des privileges aux services.
INSERT INTO Privilege_Service (Privilege_Service.privilege_level,Privilege_Service.services_id) SELECT Privilege.level, Service.id FROM Privilege, Service WHERE Privilege.name=Service.name;

--Insertion de tous les utilisateurs dans le groupe CDM
INSERT IGNORE INTO `Groupe_User` (`Groupe_User`.`groups_id`,`Groupe_User`.`users_id`) SELECT `Groupe`.`id`, `User`.`id` FROM `User`,`Groupe` WHERE `Groupe`.`name`='CDM';
--Insertion de tous les Privileges dans le groupe ALL
INSERT IGNORE INTO Groupe_Privilege (Groupe_Privilege.privileges_level,Groupe_Privilege.groups_id) SELECT Privilege.level, Groupe.id FROM Privilege, Groupe WHERE Groupe.name='ALL';
